gtkmm: Gtk::PrintOperationPreview Class Reference

gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::PrintOperationPreview Class Reference
Printing
Inheritance diagram for Gtk::PrintOperationPreview:
[legend]
Collaboration diagram for Gtk::PrintOperationPreview:
[legend]

## Public Member Functions
| PrintOperationPreview (PrintOperationPreview&& src) noexcept
PrintOperationPreview& | operator= (PrintOperationPreview&& src) noexcept
| ~PrintOperationPreview () noexceptoverride
GtkPrintOperationPreview* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkPrintOperationPreview* | gobj () const
| Provides access to the underlying C GObject. More...
void | render_page (int page_nr)
| Renders a page to the preview, using the print context that was passed to the Gtk::PrintOperation::signal_preview() handler together with preview. More...
void | end_preview ()
| Ends a preview. More...
bool | is_selected (int page_nr) const
| Returns whether the given page is included in the set of pages that have been selected for printing. More...
virtual void | render_page_vfunc (int page_nr)
virtual void | end_preview_vfunc ()
virtual bool | is_selected_vfunc (int page_nr) const
Glib::SignalProxy< void, const Glib::RefPtr< PrintContext >& > | signal_ready ()
Glib::SignalProxy< void, const Glib::RefPtr< PrintContext >&, const Glib::RefPtr< PageSetup >& > | signal_got_page_size ()
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexceptoverride
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| PrintOperationPreview ()
| You should derive from this class to use it. More...
virtual void | on_ready (const Glib::RefPtr< PrintContext >& context)
| This is a default handler for the signal signal_ready(). More...
virtual void | on_got_page_size (const Glib::RefPtr< PrintContext >& context, const Glib::RefPtr< PageSetup >& page_setup)
| This is a default handler for the signal signal_got_page_size(). More...
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::PrintOperationPreview > | wrap (GtkPrintOperationPreview* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

Since gtkmm 2.10:

## Constructor & Destructor Documentation

Gtk::PrintOperationPreview::PrintOperationPreview | ( |  | ) |
| protected

You should derive from this class to use it.

Gtk::PrintOperationPreview::PrintOperationPreview | ( | PrintOperationPreview&& | src | ) |
| noexcept

Gtk::PrintOperationPreview::~PrintOperationPreview | ( |  | ) |
| overridenoexcept

## Member Function Documentation

static void Gtk::PrintOperationPreview::add_interface | ( | GType | gtype_implementer | ) |
| static

void Gtk::PrintOperationPreview::end_preview | ( |  | ) |

Ends a preview.

This function must be called to finish a custom print preview.

Since gtkmm 2.10:

virtual void Gtk::PrintOperationPreview::end_preview_vfunc | ( |  | ) |
| virtual

static GType Gtk::PrintOperationPreview::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GtkPrintOperationPreview* Gtk::PrintOperationPreview::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GtkPrintOperationPreview* Gtk::PrintOperationPreview::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

bool Gtk::PrintOperationPreview::is_selected | ( | int | page_nr | ) | const

Returns whether the given page is included in the set of pages that have been selected for printing.

Since gtkmm 2.10:

Parameters

  page_nr | A page number.

Returns
  `true` if the page has been selected for printing.

virtual bool Gtk::PrintOperationPreview::is_selected_vfunc | ( | int | page_nr | ) | const
| virtual

virtual void Gtk::PrintOperationPreview::on_got_page_size | ( | const Glib::RefPtr< PrintContext >& | context,
|  | const Glib::RefPtr< PageSetup >& | page_setup
| ) |  |
| protectedvirtual

This is a default handler for the signal signal_got_page_size().

virtual void Gtk::PrintOperationPreview::on_ready | ( | const Glib::RefPtr< PrintContext >& | context | ) |
| protectedvirtual

This is a default handler for the signal signal_ready().

PrintOperationPreview& Gtk::PrintOperationPreview::operator= | ( | PrintOperationPreview&& | src | ) |
| noexcept

void Gtk::PrintOperationPreview::render_page | ( | int | page_nr | ) |

Renders a page to the preview, using the print context that was passed to the Gtk::PrintOperation::signal_preview() handler together with preview.

A custom iprint preview should use this function in its signal_expose() handler to render the currently selected page.

Note that this function requires a suitable cairo context to be associated with the print context.

Since gtkmm 2.10:

Parameters

  page_nr | The page to render.

virtual void Gtk::PrintOperationPreview::render_page_vfunc | ( | int | page_nr | ) |
| virtual

Glib::SignalProxy< void,const Glib::RefPtr<PrintContext>&,const Glib::RefPtr<PageSetup>& > Gtk::PrintOperationPreview::signal_got_page_size | ( |  | ) |

Slot Prototype:
  `void on_my_got_page_size(const Glib::RefPtr<PrintContext>& context, const Glib::RefPtr<PageSetup>& page_setup)`

Glib::SignalProxy< void,const Glib::RefPtr<PrintContext>& > Gtk::PrintOperationPreview::signal_ready | ( |  | ) |

Slot Prototype:
  `void on_my_ready(const Glib::RefPtr<PrintContext>& context)`

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::PrintOperationPreview > wrap | ( | GtkPrintOperationPreview * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/printoperationpreview.h